MysqlndUhConnection::sslSet
MysqlndUhConnection::storeResult
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::stmtInit

Initializes a statement and returns a resource for use with mysqli_statement::prepare

### Description

public resource MysqlndUhConnection::stmtInit ( mysqlnd_connection `$connection` )

Initializes a statement and returns a resource for use with mysqli_statement::prepare.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Resource of type Mysqlnd Prepared Statement (internal only - you must not modify it!). The documentation may also refer to such resources using the alias name mysqlnd_prepared_statement.

### Examples

Example #1 MysqlndUhConnection::stmtInit example

`<?php
class proxy extends MysqlndUhConnection {
public function stmtInit($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
var_dump($res);
$ret = parent::stmtInit($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
var_dump($ret);
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$stmt = $mysqli->prepare("SELECT 1 AS _one FROM DUAL");
$stmt->execute();
$one = NULL;
$stmt->bind_result($one);
$stmt->fetch();
var_dump($one);
?>`

The above example will output:

    proxy::stmtInit(array (
      0 => NULL,
    ))
    resource(19) of type (Mysqlnd Connection)
    proxy::stmtInit returns NULL
    resource(246) of type (Mysqlnd Prepared Statement (internal only - you must not modify it!))
    int(1)

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_stmt_init